<?php

namespace jrosset\Tests\Commands;

use jrosset\CliProgram\BaseCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class Hello extends BaseCommand {
    /**
     * @inheritdoc
     */
    protected static $defaultDescription = 'Say hello';

    /**
     * @inheritDoc
     */
    public function __construct () {
        parent::__construct('hello', 'bonjour');
    }

    /**
     * @inheritDoc
     */
    protected function execute (InputInterface $input, OutputInterface $output): int {
        $output->writeln('Hello !');
        return Command::SUCCESS;
    }
}