<?php

namespace jrosset\CliProgram;

use Symfony\Component\Console\Command\Command;

/**
 * Interface for a manager of commands auto prefix
 */
interface IAutoPrefixManager {
    /**
     * The prefix for a command
     *
     * @param Command $command The command
     *
     * @return string|null The prefix for the command, Null if not applicable
     */
    public function getCommandPrefix (Command $command): ?string;
}